Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159202 - clamav user creation failure (nscd issue)
Summary: clamav user creation failure (nscd issue)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-usermgmt
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Enrico Scholz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-31 15:35 UTC by Charles Lopes
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-12-18 16:20:23 UTC


Attachments (Terms of Use)

Description Charles Lopes 2005-05-31 15:35:58 UTC
If nscd runs, the package clamav-data often fails to create the user clamav.
This is due to a negative clamav group query being cached when fedora-useradd is
run. I would advice running nscd --invalidate=group between fedora-groupadd and
fedora-useradd.
Alternatively, fedora-usermgmt tools could be changed to invalidate nscd caches
when necessary.

Comment 1 Enrico Scholz 2005-12-18 16:20:23 UTC
Thx, I modified fedora-usermgmt in version 0.8+ to do the 'nscd -i...'. This
should fix this issue.


Note You need to log in before you can comment on or make changes to this bug.